> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://help.sigmacomputing.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.sigmacomputing.com/_mcp/server.

# Get file information

GET https://api.sigmacomputing.com/v2/files/{inodeId}

Get information about a specific document or folder, such as a workbook, report, or data model.

  ### Usage notes
  - Retrieve the **inodeId** by calling the [/v2/files](https://help.sigmacomputing.com/reference/list-files) endpoint and using the `id` included in the response.
  - Retrieve the **inodeId** for a data model by calling the [/v2/members/{memberId}/files/recents](https://help.sigmacomputing.com/reference/list-recent-inodes) endpoint and using the `id` included in the response.
    

Reference: https://help.sigmacomputing.com/reference/get-file

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: sigma-rest-api
  version: 1.0.0
paths:
  /v2/files/{inodeId}:
    get:
      operationId: get
      summary: Get file information
      description: >-
        Get information about a specific document or folder, such as a workbook,
        report, or data model.

          ### Usage notes
          - Retrieve the **inodeId** by calling the [/v2/files](https://help.sigmacomputing.com/reference/list-files) endpoint and using the `id` included in the response.
          - Retrieve the **inodeId** for a data model by calling the [/v2/members/{memberId}/files/recents](https://help.sigmacomputing.com/reference/list-recent-inodes) endpoint and using the `id` included in the response.
            
      tags:
        - Files
      parameters:
        - name: inodeId
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: OAuth authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The response body.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/files_get_Response_200'
servers:
  - url: https://api.sigmacomputing.com
    description: Server for GCP (US) hosted organizations
  - url: https://api.sa.gcp.sigmacomputing.com
    description: Server for GCP (KSA) hosted organizations
  - url: https://aws-api.sigmacomputing.com
    description: Server for AWS US (West) hosted organizations
  - url: https://api.us-a.aws.sigmacomputing.com
    description: Server for AWS US (East) hosted organizations
  - url: https://api.ca.aws.sigmacomputing.com
    description: Server for AWS Canada hosted organizations
  - url: https://api.eu.aws.sigmacomputing.com
    description: Server for AWS Europe hosted organizations
  - url: https://api.au.aws.sigmacomputing.com
    description: Server for AWS Australia and APAC hosted organizations
  - url: https://api.uk.aws.sigmacomputing.com
    description: Server for AWS UK hosted organizations
  - url: https://api.us.azure.sigmacomputing.com
    description: Server for Azure US hosted organizations
  - url: https://api.eu.azure.sigmacomputing.com
    description: Server for Azure Europe hosted organizations
  - url: https://api.ca.azure.sigmacomputing.com
    description: Server for Azure Canada hosted organizations
  - url: https://api.uk.azure.sigmacomputing.com
    description: Server for Azure United Kingdom hosted organizations
  - url: https://api.au.azure.sigmacomputing.com
    description: Server for Azure Australia hosted organizations
components:
  schemas:
    V2FilesInodeIdGetResponsesContentApplicationJsonSchemaType:
      type: string
      enum:
        - workspace
        - folder
        - workbook
        - dataset
        - data-model
        - sql
        - worksheet
        - dashboard
        - template
        - table
        - symlink
        - report
      title: V2FilesInodeIdGetResponsesContentApplicationJsonSchemaType
    V2FilesInodeIdGetResponsesContentApplicationJsonSchemaPermission0:
      type: string
      enum:
        - create
      title: V2FilesInodeIdGetResponsesContentApplicationJsonSchemaPermission0
    V2FilesInodeIdGetResponsesContentApplicationJsonSchemaPermission1:
      type: string
      enum:
        - annotate
      title: V2FilesInodeIdGetResponsesContentApplicationJsonSchemaPermission1
    V2FilesInodeIdGetResponsesContentApplicationJsonSchemaPermission2:
      type: string
      enum:
        - organize
      title: V2FilesInodeIdGetResponsesContentApplicationJsonSchemaPermission2
    V2FilesInodeIdGetResponsesContentApplicationJsonSchemaPermission3:
      type: string
      enum:
        - explore
      title: V2FilesInodeIdGetResponsesContentApplicationJsonSchemaPermission3
    V2FilesInodeIdGetResponsesContentApplicationJsonSchemaPermission40:
      type: string
      enum:
        - view
      title: V2FilesInodeIdGetResponsesContentApplicationJsonSchemaPermission40
    V2FilesInodeIdGetResponsesContentApplicationJsonSchemaPermission41:
      type: string
      enum:
        - edit
      title: V2FilesInodeIdGetResponsesContentApplicationJsonSchemaPermission41
    V2FilesInodeIdGetResponsesContentApplicationJsonSchemaPermission42:
      type: string
      enum:
        - apply
      title: V2FilesInodeIdGetResponsesContentApplicationJsonSchemaPermission42
    V2FilesInodeIdGetResponsesContentApplicationJsonSchemaPermission4:
      oneOf:
        - $ref: >-
            #/components/schemas/V2FilesInodeIdGetResponsesContentApplicationJsonSchemaPermission40
        - $ref: >-
            #/components/schemas/V2FilesInodeIdGetResponsesContentApplicationJsonSchemaPermission41
        - $ref: >-
            #/components/schemas/V2FilesInodeIdGetResponsesContentApplicationJsonSchemaPermission42
      title: V2FilesInodeIdGetResponsesContentApplicationJsonSchemaPermission4
    V2FilesInodeIdGetResponsesContentApplicationJsonSchemaPermission:
      oneOf:
        - $ref: >-
            #/components/schemas/V2FilesInodeIdGetResponsesContentApplicationJsonSchemaPermission0
        - $ref: >-
            #/components/schemas/V2FilesInodeIdGetResponsesContentApplicationJsonSchemaPermission1
        - $ref: >-
            #/components/schemas/V2FilesInodeIdGetResponsesContentApplicationJsonSchemaPermission2
        - $ref: >-
            #/components/schemas/V2FilesInodeIdGetResponsesContentApplicationJsonSchemaPermission3
        - $ref: >-
            #/components/schemas/V2FilesInodeIdGetResponsesContentApplicationJsonSchemaPermission4
      title: V2FilesInodeIdGetResponsesContentApplicationJsonSchemaPermission
    files_get_Response_200:
      type: object
      properties:
        id:
          type: string
        urlId:
          type: string
        name:
          type: string
        type:
          $ref: >-
            #/components/schemas/V2FilesInodeIdGetResponsesContentApplicationJsonSchemaType
        parentId:
          type: string
        parentUrlId:
          type: string
        permission:
          $ref: >-
            #/components/schemas/V2FilesInodeIdGetResponsesContentApplicationJsonSchemaPermission
        path:
          type: string
        badge:
          type:
            - string
            - 'null'
        isArchived:
          type: boolean
        description:
          type: string
        ownerId:
          type:
            - string
            - 'null'
        parentSourceUrlId:
          type: string
          description: >-
            For a document deployed to a tenant organization, the `urlId` of the
            source document in the parent organization. Only present when the
            document was deployed from a parent organization. The source
            document can be a workbook, template, data model, dataset, or
            report.
        createdBy:
          type: string
          description: The identifier of the user who created this object.
        updatedBy:
          type: string
          description: The identifier of the user or process that last updated this object.
        createdAt:
          type: string
          format: date-time
          description: When the object was created.
        updatedAt:
          type: string
          format: date-time
          description: When the object was last updated.
      required:
        - id
        - urlId
        - name
        - type
        - parentId
        - parentUrlId
        - permission
        - path
        - badge
        - isArchived
        - createdBy
        - updatedBy
        - createdAt
        - updatedAt
      title: files_get_Response_200
  securitySchemes:
    OAuth:
      type: http
      scheme: bearer
      description: OAuth 2.0 authentication

```

## Examples



**Response**

```json
{
  "id": "00000000-0000-0000-0000-000000000000",
  "urlId": "57a96EMo3GVJG73179MV2l",
  "name": "Examples",
  "type": "folder",
  "parentId": "00000000-0000-0000-0000-000000000001",
  "parentUrlId": "57a96EMo3GVJG73179MV2G",
  "permission": "create",
  "path": "My Documents/Examples",
  "badge": "Endorsed",
  "isArchived": false,
  "createdBy": "<memberId>",
  "updatedBy": "<memberId>",
  "createdAt": "2022-11-22T22:33:47.323Z",
  "updatedAt": "2022-11-22T22:33:47.323Z",
  "description": "Examples description",
  "ownerId": "<memberId>"
}
```

**SDK Code**

```python Response Example
import requests

url = "https://api.sigmacomputing.com/v2/files/inodeId"

headers = {"Authorization": "<token>."}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Response Example
const url = 'https://api.sigmacomputing.com/v2/files/inodeId';
const options = {method: 'GET', headers: {Authorization: '<token>.'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Response Example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sigmacomputing.com/v2/files/inodeId"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<token>.")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Response Example
require 'uri'
require 'net/http'

url = URI("https://api.sigmacomputing.com/v2/files/inodeId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<token>.'

response = http.request(request)
puts response.read_body
```

```java Response Example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.sigmacomputing.com/v2/files/inodeId")
  .header("Authorization", "<token>.")
  .asString();
```

```php Response Example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.sigmacomputing.com/v2/files/inodeId', [
  'headers' => [
    'Authorization' => '<token>.',
  ],
]);

echo $response->getBody();
```

```csharp Response Example
using RestSharp;

var client = new RestClient("https://api.sigmacomputing.com/v2/files/inodeId");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<token>.");
IRestResponse response = client.Execute(request);
```

```swift Response Example
import Foundation

let headers = ["Authorization": "<token>."]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sigmacomputing.com/v2/files/inodeId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```